Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007760opensim[REGION] Physics Enginespublic2015-11-24 19:272016-01-17 20:58
Reportersamuel.greenway 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusnewResolutionopen 
PlatformLinuxOSUbuntuOS Version14.04 x64
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0007760: Mesh physics affected ( cannot walk inside of a mesh train ) resulted when switching from Bullet to ubOde,
DescriptionMesh train. Unable to walk onto train that was initially uploaded with Bullet, when changing over to ubODE.

Enabled the Following ...

    meshing = ubODEMeshmerizer
    physics = ubODE

Commenting out above lines, forcing it to switch back to the default Bullet fixes problem.

Not sure if this something that is known already.
Additional InformationCan pass along copy of train to developer upon request.
TagsNo tags attached.
Git Revision or version number774ac5e96b32e051d3f10d668db1391d82382c1c
Run Mode Grid (1 Region per Sim)
Physics EngineOther
Script Engine
EnvironmentMono / Linux64
Mono Version3.2
ViewerSingularity 64 bit 1.8.6
Attached Filespng file icon FirestormMeshNoPhysicsMessage.png [^] (831,066 bytes) 2015-12-23 15:15

- Relationships

-  Notes
(0029648)
UbitUmarov (administrator)
2015-11-24 19:34

select the relevant prim and edit, on features tab, check if Physics Shape Type allows the selection on None, Prim or Convex. If so select Prim. If Prim is absent, the mesh was incorrectly uploaded without physics mesh, and so can only be convex, as you see. ubOde will only do high resolution collisions if type Prim is selected.
(0029651)
samuel.greenway (reporter)
2015-11-24 19:55

Only have two options with this mesh under both Bullet and ubode
None and Convex Hull.

It is set to None.
Under Bullet it acts like it should, seats stop you when you walk into them, as well as walls and doors. But you can walk inside the train car.

Under ubOde, it acts like one big block, cannot go in.

I could try reuploading. Has been a year since I uploaded, and not sure what settings i used in viewer at time.
(0029652)
UbitUmarov (administrator)
2015-11-24 20:07

ubOde handles this as SL. You can upload a mesh like you did, if you want it to not collide (type none) or use a very simple shape without holes etc (convex HULL) that viewers always create and upload (type convex). If you want better resolution ( and holes ) you need to upload selecting a mesh from physics, either from one of the visual LODs or a mesh from a file. Then Prim option will be available (on upload the default is Convex, you need to select Prim)
(0029653)
samuel.greenway (reporter)
2015-11-24 20:13

Will test on Wed, Nov 25 2015, then report back. Thank you.
(0029667)
samuel.greenway (reporter)
2015-11-25 12:04

Tested, Re-uploaded my original Mesh and this time choose High on the Physics tab instead of ignoring it.

I can walk inside the train on both Bulletsim and on ubOde with the Feature set to Prim.

Strange bullet was able to see the physics with it set to None on the old version.

This can probably be set to resolved. Not sure if others may have a similar issue though.
(0029668)
UbitUmarov (administrator)
2015-11-25 12:18

Other engines incorrectly look into the visual parts of the mesh, and use one LOD. So even a object that should not collide (type None) or be convex will collide with that LOD, in a way harder to control in world. Also the viewers option to display physics mesh doesn't work correctly.
In near future all should behave as ubOde (actually ubOdeMeshmerizer).
This made builders not noticing the incorrect upload, so some broken content was uploaded, and needs to be fixed like your train :(
(0029669)
Seth Nygard (reporter)
2015-11-25 13:55
edited on: 2015-11-25 13:56

While I fully agree that mesh should have always been uploaded with an optimized physics mesh, the reality is there is a LOT of existing content that was not. This is because it was always "ok" to do so and things worked. If now suddenly this behavior is changed then it is far from an ideal situation for anyone.

IMHO It is not realistic to expect existing content to be re-imported with a proper physics mesh.

This is potentially a much bigger problem for many users than the inflated SimFPS value issue ever could be.

(0029670)
samuel.greenway (reporter)
2015-11-25 14:05

I see the work around, at least at this time, is to continue using the default for those mesh objects, which is Bulletsim. I currently have that region on Bulletsim, till I can adapt.
(0029680)
Jak Daniels (reporter)
2015-11-26 03:27

I would also argue, that seeing as this has been the behaviour since bullet was introduced, why can we not continue to have that behaviour?

If I explicitly don't want physics on an object I set it to phantom. But uploading a mesh without physics could still give us the option of using the uploaded mesh itself as physics or convex hull surely?
This will also affect users of the Radegast libomv client which does not upload a physics mesh.
The fact that the viewer display mesh is broken, well we don't use client side physics do we.
(0029697)
samuel.greenway (reporter)
2015-11-26 13:01

I just wonder if we can get this completely compatible with SL, so we dont run into this again in the future, with all the other options for uploading mesh in the viewer. I am also wondering about the houses, etc, and items that have been sold on Kitely and how they would be effected.
(0029814)
samuel.greenway (reporter)
2015-12-15 14:41

Is there any updates. Even if we enforce physics settings on upload, will we have to come back to this issue of broken mesh in the future, when more bugs are fixed?

Tested a recent mesh house from a well known vendor, today and it failed to work under ubode.

Im just hoping that if we are going down this road, that we need FULL compatiability with SL, so that we dont have to revisit mesh uploads.

Thank you.
(0029815)
UbitUmarov (administrator)
2015-12-15 15:25

Phantom is a linkset attribute and can have physics active with collisions with terrain.
Physics shape is a prim attribute. On child prims, type None will not have any physics simulation.
So very different things.
Its is not a SL compatibility issue, it is a functionality issue.
A prim with only type None and convex needs to work as spec, no physics or physics with the simple convex Hull.
Having prims with type set to none still having physics and full resolution collisions was a mistake, that needs to be fixed on all engines in time
(0029816)
samuel.greenway (reporter)
2015-12-15 15:44

Will need to keep backwards compatibility, even if it means keeping an old version of a physics engine around. Wish there was a way to code it so old mesh stays workable, even if new mesh would not. There is a lot of mesh that has been uploaded with opensim instructions stating to not touch anything after the first tab. Im all for fixing bugs and making things work. But, I also believe this is going to be a BIG issue, for many builders who have followed instructions previously set forth, and now the items they made no longer work, and may even to have to refund money to people to whom they sold items. So there is a financial part of this as well. Not trying to sound dramatic, but its a dance between users and developers, everyone needs to work together, not against each other, for opensim to be successful.
(0029817)
samuel.greenway (reporter)
2015-12-15 16:46

Opensim isnt small anymore, so any changes made should try to keep from breaking existing content.

Just to give an idea of how many people could be effected...
According to Hypergrid Business Opensimulator has:

34,160 active users
496,344 registered users
71,034 standard regions

Almost 35 thousand active users, and many of these peoples content is effected anytime there is a change that breaks something.

http://www.hypergridbusiness.com/2015/11/opensim-passes-70000-regions/ [^]

Im not normally active like this, I usually roll with it, because I know changes being made are usually good changes, but Opensimulator is at a point where it ballooning with users and content, and any change that could break content, could hinder more than it helps, and I like all of you want to see Opensimulator succeed.
(0029818)
Selea Core (reporter)
2015-12-16 20:51

I admit not understanding much about physics in the configuration of OpenSim, but through the years, I have followed the OsGrid forum to help me understand the new changes for each version, then apply these changes to my own regions.

Remember when we all had to fix the sit position because it was said the new configurations were taking us closer to the SL standards?
It was a real mess ... Content Creators had to fix all their previous work.

* * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

Today, my friend helped me test some mesh items and some furniture scripted with the MPLV2 2.4e by Learjeff Innis.

Results are;
Mesh items;
They looked just fine, except that they do not work properly. They become some kind of invisible wall and they will stop you from moving around.

MLP scripted items;
 As an example ... let's take one of my sofa scripted with MLP.
We ended up floating above the MLP ... not much ... but enough to show a need to fix that problem.

So far, those tests do not include the rest of my scripted items, such as fireplaces, lamps and other such items.

* * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

My hope is that the Devs ... take into consideration what we the OpenSim Content Creators will have to go through ... if they implement an upgrade that will really require a lot of fixing.

I ... myself ... will have to revisit thousands of scripted items and almost a thousand mesh items ... and that is just ... me.
Imagine all the other Content Creators.
I think this would be devastating to the OpenSim community in general.?
(0029822)
UbitUmarov (administrator)
2015-12-17 06:38

Reading this I may just consider its better to join those who gave up OpenSim because it is now a hopeless project since any change will break something...
(0029823)
samuel.greenway (reporter)
2015-12-17 10:30

I would think any big project has encountered this issue of changes breaking/not breaking the user environment, and many still exist, so i wouldnt count that as a reason to call OpenSim a hopeless project.

I do appreciate all the developers are doing to make OpenSim work better.

Content makers also understand that some changes are for the better and may break content, and while some will complain, most roll with it, and know its for the overall good of Opensimulator.

One irritating change I would like to bring up though, is about sit. Developers just fixed sit a couple years ago, to make it line up with SL, people changed thousands and thousands of scripts to accommodate the change, and now content makers are told to do it again. It doesnt make sense, why it wasnt done correctly the first time.

As far as Mesh, easy to say im sure (Ive been a newbie coder for 30 years, never grew up), just grandfather in existing content (at least for a period of time (years) until newer content greatly outnumbers older content, then pull the plug on the older content), while at the same time putting checks in place to not allow upload of mesh without it completely lining up with SL requirements. Not partially lining up, but completely lining up, so we dont have to fix mesh again in a couple years like will be forced to do with sit.

I want to say again, that without developers, Opensimulator would not be possible. We greatly appreciate all the work put into making this platform.

As with many projects, there are many sides to the coin, The Developers, The Content Makers, Grid Administrators, and The General User. And they all need each other, and need to work together, for a project to prosper.
(0029824)
samuel.greenway (reporter)
2015-12-17 10:32

And just a side note, I am far from an expert with Mesh, but wanted to mention that many mesh objects do not have the Prim option, its either None or Convex Hull.
(0029825)
littlefeather (reporter)
2015-12-17 10:38

I am unale to select physics type none under ubode. i have tried this with a new mesh object and i uploaded a physics mesh.
(0029826)
UbitUmarov (administrator)
2015-12-17 10:44

type None is only possible on child prims, not root
(0029827)
Mata Hari (reporter)
2015-12-17 13:54

Here's the thing, Ubit....with this one Avination merge you will be:

- breaking all existing content with sit targets, requiring them to be redone (essentially all furniture objects)

- breaking all existing scripts that have preset sit targets or sit positions or in some other way position avatars, requiring them all to be redone (essentially all MLP, all PMAC, all couples dance items, most vehicles, and many, many other things

- breaking a fairly large number of existing mesh objects, requiring them to be re-uploaded

- altering physics behaviour requiring many (all?) vehicle scripts to be adjusted

- whatever other changes you haven't yet applied

So from a creator/user standpoint that's going to be a massive hit to their in-world scene content and is going to take months if not years to update -- and there are many users who don't know how to do it at all. There are still a *lot* of scripts and items that are still broken from the changes to sit positions made 3+ years ago...I don't expect the updates required by this merge is going to go any more smoothly.

If it *has* to be done then by all means do it; but I don't think it's reasonable to expect the users to be jumping up and down with joy about it.
(0029828)
UbitUmarov (administrator)
2015-12-17 14:19

So this last comment just says revert opensim back to 0.8.2 state and forget about it...
(0029829)
samuel.greenway (reporter)
2015-12-17 14:39
edited on: 2015-12-17 14:42

It is also a good thing to implement changes that would allow for those who wish to leave SL, to more easily do so. People have invested a lot of time and money in SL Scripts, etc.

At the same time people have invested a lot of time and resources into making Opensim Scripts, etc. work.

Maybe an option just let Opensim be Opensim, and have a separate ini files:

Opensim Default configuration
SL Compatibility configuration (for things not easily ported)

Some other ini files could be:
Game configuration
Presentation configuration
Role playing configuration
etc.

It is not a requirement for Opensim to be 100% SL compatible, nor will it ever be 100% compatible. Opensim will eventually have to stand on its own. Especially if SL abandons SL 1 for SL 2.0.

If it is chosen to have these things implemented, then people will adapt. Some creators might choose to leave, but I imagine, they would be replaced by many from SL, since it would be more compatible to SL. But in the future, as Opensimulator continues to grow, it will become harder to institute broad reaching changes without some sort of lashback.

(0029830)
Mata Hari (reporter)
2015-12-17 16:20

No, Ubit. That's not what I said. Re-read it.

I'm saying that if it's necessary to break content for some extremely important reason then do it. It certainly isn't the first time and I have no doubt that it won't be the last. The users and creators will eventually repair/replace everything that new code breaks or, as Samuel says, some will opt to go elsewhere.

All I'm suggesting is that you be a little sensitive to the sheer quantity of content that the changes will break and, where possible, avoid doing so and/or support some degree of legacy. If that's impossible then we'll just have to live with whatever changes you decide to make.
(0029831)
samuel.greenway (reporter)
2015-12-17 18:15

With the announcement of Second life New Avatar bones.
see: https://community.secondlife.com/t5/Featured-News/Introducing-Project-Bento-New-Bones-Added-to-Second-Life-Avatar/ba-p/2987206 [^]

Couple things I noticed SL did (which is unusual for them I admit).

They kept backwards compatibility (not breaking things) and they actually talked with content creators as well.

Thats all we are asking here.

"We are introducing extensions to the standard Second Life Avatar Skeleton that give you dozens of new bones to support both rigging and animation, and accompanying new attachment points! This extended skeleton, WHICH IS FULLY BACKWARD COMPATIBLE with existing avatars, rigging and animation, gives creators the power to build more sophisticated avatars than ever before."

"We've developed all this IN COLLABORATION WITH MANY EXPERT RESIDENT CONTENT CREATORS AND WITH DEVELOPERS OF THE MOST POPULAR TOOLS for creating avatars and animations, so there will quickly be versions of those tools you can use to help take advantage of these changes."
(0029832)
samuel.greenway (reporter)
2015-12-17 23:02
edited on: 2015-12-17 23:05

Heres an idea, and im taking this from the Opensim specific Export feature that was added to the viewers.

Add a tab/menu in participating viewer's build menu, for Opensim specific features.
Maybe move the Export feature to this menu.
Add in modifiable by owner check boxes/flags for things like. . .
Legacy Sit
Legacy Mesh Physics
And other opensim specific features or legacy issues that would be cool to have.

The server on the back end would check the flags, and treat that object accordingly.

(0029833)
UbitUmarov (administrator)
2015-12-18 02:07

we don't have a reference viewer.
Features that depend on viewers require asking all major tpv teams to support them, and that can be a long painful process, that may end up in just "SL doesn't have it.. we don't care"
Lets hope that new SL project will not just break the few viewers that still work with opensim (most of the time).

Give SL credits, they always say that "collaboration with many.."
And they did and keep breaking contents because it just impossible to avoid.(like that project will)
(0029859)
samuel.greenway (reporter)
2015-12-22 17:05

Just tested, Firestorm does not support Physics upload for Mesh that would work with ubode, it only works with Bulletsim.
(0029862)
UbitUmarov (administrator)
2015-12-23 09:13

It does support.
- menu build-> Upload -> mesh model
- select the dae file to upload
- on Level of detail tab select the mesh files for each LOD, or keep the generate option for automatic generation.
- on Physics tab:
on the Level of Detail pull down menu that starts with "choose one" select one.
it can be one of the visual LODs, or another dae file.
Do not use the Analyze steps2 and 3. They may work but viewer will change your mesh even more, so holes may be filled. On ubode that will add extra mesh processing steps also.
the "this model represents" is currently ignored, but you can put a option for future use.
- check the Upload options. if textures are close to mesh model file on disk, they can be uploaded at same time. the other options are usefull for some cases.
click "calculate weight &.." wait.. wait.. wait... wait..
if no error and you get costs, Upload
(0029863)
samuel.greenway (reporter)
2015-12-23 10:29

Viewer gives this message
"Some functions like mesh upload with physics are not included with Firestorm for OpenSimulator. If you would like to use mesh upload with physics, please download Firestorm for Second Life from http://www.firestormviewer.org/downloads" [^]

I have tried this twice with Firestorm and it does not work.
I tried two settings with Level of Detail pull down menu, both High and with Load File using the same dae file again.
(0029864)
UbitUmarov (administrator)
2015-12-23 10:38

you may need the 64bit version
Firestorm as a 32bit version that only works at SL
(0029865)
samuel.greenway (reporter)
2015-12-23 10:55

Yeah, switched from 64bit to 32bit a week or so ago, upon nebadons advice, as he has been commenting that it preforms better. Will switch back and verify.

Anyway, just to reiterate, if this switch is forced, especially into the default Bulletsim, I'm probably not going to be the only one mentioning this. I know as of this moment Selea Cores has items that will not work, including her houses that shes spent hundreds of hours building. As most people are still using Bulletsim, only testers, or those with SL scripts have noticed this under ubode. I think physics upload should be inforced somehow on upload for new items, but keep backwards compatibility for old content, optimally for good, but if not at least for a time period, like a couple years, to give time for people to adapt, and new content to be uploaded

I know myself I have a castle sim that I had been working on for 2 years, and half the mesh wont work now, along with other things. Only reason, I am not completely kicking and screaming, because I had planned on redoing much of the mesh in the future.
(0029866)
UbitUmarov (administrator)
2015-12-23 11:11

I said from start that im not going to rush enforcing it on other engines. ubOde, "was born" correct on this, so will stay as is.
But it does to need to be fixed sometime, or some kind of workaround found..
since it does limit the available features.

so upload all new contents taking this into consideration, no matter the engine.
go fixing old as possible.

As I said not having a selected mesh for physics is a valid option, it you want to use the mesh only with shape type none or just simple convex hull. That's very usefull for vehicles for example, since meshs will be too heavy for physics.
(0029867)
samuel.greenway (reporter)
2015-12-23 11:16
edited on: 2015-12-23 11:18

Ok. Main concern was existing content. As long as it wont be inforced immediately.

BTW, tried on Firestorm x64 and it fails under it for me as well, and it gives the same message about physics upload not being inforced.
Firestorm 4.7.5 (47975) Nov 9 2015 07:06:04 (Firestorm-Releasex64) with OpenSimulator support.

And I want to reiterate I support you and all the developers. And I want to thank you for listening to us, the users, builders, etc.

(0029868)
melanie (administrator)
2015-12-23 11:30

Additionally, I have a change in the pipeline that adds a "Legacy sit position" interpretation to objects. The plan I have is to default this to "true" for all objects that currently exist and therefore don't have that field, but those created subsequently will default it to "false", so all new prims will then also take new sit target mechanics by default. Continuing to use scripts using old sit targets is possible by two means:

Don't create new prims but instead work off a copied old prim :)

Use osSetLegacySitTarget(TRUE) which is a function I will add to manipulate this flag.

Participating viewers could also implement this on the build floater......
(0029869)
melanie (administrator)
2015-12-23 11:32

Separate topic, separate comment:

Firestorm should actually add the non-havok physics mesh upload as Singularity has it rather than just forcing mesh to be uploaded without any physics at all even if the user has an optimized physics mesh.

However, most if not all Firestorm devs are SL users. I guess it's not personally important to them.
(0029870)
Seth Nygard (reporter)
2015-12-23 12:24

Firestorm most definitely allows the upload of a separate physics mesh. I use it with almost every mesh I do. I do however run the 64 bit SL-OpenSim (non-havoc) version. It is available in both 32 and 64 bit directly from their download page.
(0029871)
samuel.greenway (reporter)
2015-12-23 12:43

I am using the most recent 32bit and 64bit version of Firestorm, the 64bit version was downloaded today from their website, and it does not upload physics, and they both say the wont upload physics in a warning message. The mesh will still work with Bulletsim, because Bulletsim will revert to LOD for physics, but not with ubode because ubode requires a physics part to be uploaded with the mesh. This is from my tests at least.
(0029872)
Seth Nygard (reporter)
2015-12-23 13:31

I just setup a quick test region in OSGrid using their download build, version OpenSim 0.9.0.0 Dev OSgrid 0.9.0.0 (Dev) e095f51: 2015-12-19

I configured it for ubODE and using Firestorm 64-4.7.5.47975 I was able to upload a mesh, including an optimized physics mesh. Inworld I was able to set this mesh to use prim physics type and could walk into the mesh through the open doorway contained in the mesh. When I also render the Physics metadata I can clearly see my optimized physics mesh.

If you wish to check the object and see I have left this mesh in the region. The region is in OSgrid and is named Refuge. The object is a single mesh gazebo with only one opening you can walk through.

@Samuel - I saw no such warning message about not uploading physics. Are you sure you are running the SL-Opensim version and not the SL-Havok version of Firestorm?

I did observe different behavior however under ubODE. I am able to walk through the collision faces in the walls when I am inside the mesh, but can not walk through them from the outside. This needs to be looked at closer when I have more time to do so.
(0029873)
samuel.greenway (reporter)
2015-12-23 15:15

Ok, I set it to Prim, and it seems to work.
Firestorm still gives error, as an FYI, and I will upload a screenshot.

I also agree with Ubit, that someone (with access) should put up a tutorial on Opensimulator.org wiki showing how to properly upload mesh.

Thanks.
(0029874)
UbitUmarov (administrator)
2015-12-23 15:28

Seth, for now that is another issue..
on Ode engines avatars (and other objects) only collide with the outside of a mesh face, as defined by its normal, that is the same rule as SL viewer render, inside face is transparent. This does avoid some situations where nasty oscillations could happen, also avoids loosing physical prims inside other prims, etc.
In sl havoc and bullet collision does seem to happen on both sides, so this may be a issue, just not easy to solve.
(0029888)
UbitUmarov (administrator)
2015-12-25 09:51

modified the ODE library capsule(avatar) - triangle faces collisions, fixing the double side case (from outside and from inside) that was broken and disabled.
Since this can cause instabilities, I only activate double side, it the mesh has at least two dimensions 1.5x larger the the capsule height.
I only have windows environment now. Sources for other OS can be found at

git clone git://opensimulator.org/git/opensim-libs [^]

then folder:
\trunk\unmanaged\OpenDynamicsEngine-0.13.1mod

hopefully Linux bins will be provide in master...
(0029889)
UbitUmarov (administrator)
2015-12-25 10:00

Seth, if you can test it.
or give me a copy of the gazebo, so I can check if it gets better with this change.
(0029985)
samuel.greenway (reporter)
2016-01-17 20:58

I would support change in Bulletsim to line it up with ubode, but we should have a legacy.ini file with overrides for things. I also hope that we can settle mesh once, unlike sit where it was fixed to comply with SL, then fixed again to comply with SL. Multiple changes get confusing and very frustrating for people.

- Issue History
Date Modified Username Field Change
2015-11-24 19:27 samuel.greenway New Issue
2015-11-24 19:34 UbitUmarov Note Added: 0029648
2015-11-24 19:55 samuel.greenway Note Added: 0029651
2015-11-24 20:07 UbitUmarov Note Added: 0029652
2015-11-24 20:13 samuel.greenway Note Added: 0029653
2015-11-25 12:04 samuel.greenway Note Added: 0029667
2015-11-25 12:18 UbitUmarov Note Added: 0029668
2015-11-25 13:55 Seth Nygard Note Added: 0029669
2015-11-25 13:56 Seth Nygard Note Edited: 0029669 View Revisions
2015-11-25 14:05 samuel.greenway Note Added: 0029670
2015-11-26 03:27 Jak Daniels Note Added: 0029680
2015-11-26 13:01 samuel.greenway Note Added: 0029697
2015-12-15 14:41 samuel.greenway Note Added: 0029814
2015-12-15 15:25 UbitUmarov Note Added: 0029815
2015-12-15 15:44 samuel.greenway Note Added: 0029816
2015-12-15 16:46 samuel.greenway Note Added: 0029817
2015-12-16 20:51 Selea Core Note Added: 0029818
2015-12-17 06:38 UbitUmarov Note Added: 0029822
2015-12-17 10:30 samuel.greenway Note Added: 0029823
2015-12-17 10:32 samuel.greenway Note Added: 0029824
2015-12-17 10:38 littlefeather Note Added: 0029825
2015-12-17 10:44 UbitUmarov Note Added: 0029826
2015-12-17 13:54 Mata Hari Note Added: 0029827
2015-12-17 14:19 UbitUmarov Note Added: 0029828
2015-12-17 14:39 samuel.greenway Note Added: 0029829
2015-12-17 14:42 samuel.greenway Note Edited: 0029829 View Revisions
2015-12-17 16:20 Mata Hari Note Added: 0029830
2015-12-17 18:15 samuel.greenway Note Added: 0029831
2015-12-17 23:02 samuel.greenway Note Added: 0029832
2015-12-17 23:05 samuel.greenway Note Edited: 0029832 View Revisions
2015-12-18 02:07 UbitUmarov Note Added: 0029833
2015-12-22 17:05 samuel.greenway Note Added: 0029859
2015-12-23 09:13 UbitUmarov Note Added: 0029862
2015-12-23 10:29 samuel.greenway Note Added: 0029863
2015-12-23 10:38 UbitUmarov Note Added: 0029864
2015-12-23 10:55 samuel.greenway Note Added: 0029865
2015-12-23 11:11 UbitUmarov Note Added: 0029866
2015-12-23 11:16 samuel.greenway Note Added: 0029867
2015-12-23 11:18 samuel.greenway Note Edited: 0029867 View Revisions
2015-12-23 11:30 melanie Note Added: 0029868
2015-12-23 11:31 samuel.greenway Summary Mesh physics effected ( cannot walk inside of a mesh train ) resulted when switching from Bullet to ubOde, => Mesh physics affected ( cannot walk inside of a mesh train ) resulted when switching from Bullet to ubOde,
2015-12-23 11:32 melanie Note Added: 0029869
2015-12-23 12:24 Seth Nygard Note Added: 0029870
2015-12-23 12:43 samuel.greenway Note Added: 0029871
2015-12-23 13:31 Seth Nygard Note Added: 0029872
2015-12-23 15:15 samuel.greenway Note Added: 0029873
2015-12-23 15:15 samuel.greenway File Added: FirestormMeshNoPhysicsMessage.png
2015-12-23 15:28 UbitUmarov Note Added: 0029874
2015-12-25 09:51 UbitUmarov Note Added: 0029888
2015-12-25 10:00 UbitUmarov Note Added: 0029889
2016-01-17 20:58 samuel.greenway Note Added: 0029985


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker